Redmine - Defect #6479

Changing tracker type will lose watchers
2010-09-24 00:33 - Kai Hu

Status: Closed Start date: 2010-09-24
Priority: High Due date:

Assignee: Jean-Baptiste Barth % Done: 100%
Category: Issues Estimated time: 0.00 hour
Target version: 1.0.2

Resolution: Fixed Affected version: 1.0.1
Description

version : 1.0.1

steps to reproduce:

- create a defect ticket

- add a few watchers

- update the ticket to be a feature ticket
- all watchers are gone

Associated revisions

Revision 4181 - 2010-09-26 15:52 - Jean-Baptiste Barth

Fixed: don't reset watchers when changing tracker. #6479

History

#1 - 2010-09-24 06:48 - Mischa The Evil
- Priority changed from Normal to High

The implications of this behaviour results in unexpected loss of watchers...

#2 - 2010-09-25 15:58 - Mischa The Evil

Currently, a workaround to change the tracker without losing all the current watchers is to utilize the issue-move functionality.

#3 - 2010-09-26 15:51 - Jean-Baptiste Barth
- Status changed from New to Resolved

- Assignee set to Jean-Baptiste Barth

- Target version set to 1.1.0

- % Done changed from 0 to 100

- Resolution set to Fixed

Fixed in r4181. It may be too late for 1.0.2, so | target it for 1.1.0.

Cause of the bug : it's because changing tracker triggers build_new_issue_from_params method but without params[:issue]['watcher_user_ids']
(when an issue already exists, watchers are managed in the sidebar, not in the main form). It's just a temporary patch, it's not really clean that
updating an existing issue triggers new/create actions. So it may need more work later...

#4 - 2010-09-26 16:16 - Felix Schafer

Jean-Baptiste Barth wrote:

Fixed in r4181. It may be too late for 1.0.2, so | target it for 1.1.0.

It shouldn't wait for 1.1.0, Eric: could you look into adding it to 1.0.2, and if you don't stage it for 1.0.3?

#5 - 2010-09-26 18:35 - Eric Davis

- Target version changed from 1.1.0 to 1.0.2
Felix:

Agreed, it should be fine for 1.0.2 as long as it merges successfully.

#6 - 2010-09-27 00:21 - Eric Davis

- Status changed from Resolved to Closed

Merged into 1.0-stable

2025-05-17 22


http://www.tcpdf.org

